Limerence
Providers

Set Default Model

Set the team's default model on a provider, clearing it from every other provider

PATCH
/providers/{provider}/default-model

Set the team's default model on a provider, clearing it from every other provider

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

provider*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/providers/string/default-model" \  -H "Content-Type: application/json" \  -d '{    "model": "string"  }'
{  "defaultModel": null,  "provider": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}